#include <bits/stdc++.h>

using namespace std;

bool cmp(const pair<pair<int,double>,double>& p1, const pair<pair<int,double>,double>& p2){
    return p1.first.second>p2.first.second;
}

int main()
{
    cin.tie(0);
    cout.tie(0);
    int n;
    cin>>n;
    vector<pair<pair<int,double>,double>> frilenseri;
    for(int i=0;i<n;i++){
        int a;
        double b,c;
        cin>>a>>b;
        c=a/100.0;
        frilenseri.push_back(make_pair(make_pair(a,b),c));
    }
    sort(frilenseri.begin(),frilenseri.end(),cmp);
    double max_zbir=0;
    for(int i=0;i<n;i++){
        double zbir=0;
        for(int j=0;j<=i;j++){
            zbir+=(frilenseri[j].second*frilenseri[i].first.second);
        }
        if(zbir>max_zbir){
            max_zbir=zbir;
        }
    }
    printf("%f",max_zbir);
    return 0;
}